CVE-2004-1570
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:56:43
NMCO    

[原文]SQL injection vulnerability in bBlog 0.7.2 and 0.7.3 allows remote attackers to execute arbitrary SQL commands via the p parameter.


[CNNVD]bBlog rss.php远程SQL注入漏洞(CNNVD-200412-985)

        
        bBlog是一款基于PHP的BLOG系统。
        bBlog包含的rss.php脚本不正确处理用户提交的URI输入,远程攻击者可以利用这个漏洞进行SQL注入攻击,可以获得敏感信息或更改数据库。
        rss.php脚本对用户提交的$p参数缺少过滤,就直接传递给$bBlog->make_post_query()函数,攻击者提交特殊的SQL数据作为$p参数数据,可以更改原有SQL逻辑,可以获得敏感信息或更改数据库。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:eaden_mckee:bblog:0.7.2
cpe:/a:eaden_mckee:bblog:0.7.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1570
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1570
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-985
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109665351632048&w=2
(UNKNOWN)  BUGTRAQ  20041001 SQL Injection vulnerability in bBlog 0.7.3
http://www.securityfocus.com/bid/11303
(UNKNOWN)  BID  11303
http://www.servers.co.nz/security/SCN200409-1.php
(UNKNOWN)  MISC  http://www.servers.co.nz/security/SCN200409-1.php
http://xforce.iss.net/xforce/xfdb/17552
(UNKNOWN)  XF  bblog-array-sql-injection(17552)

- 漏洞信息

bBlog rss.php远程SQL注入漏洞
高危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        bBlog是一款基于PHP的BLOG系统。
        bBlog包含的rss.php脚本不正确处理用户提交的URI输入,远程攻击者可以利用这个漏洞进行SQL注入攻击,可以获得敏感信息或更改数据库。
        rss.php脚本对用户提交的$p参数缺少过滤,就直接传递给$bBlog->make_post_query()函数,攻击者提交特殊的SQL数据作为$p参数数据,可以更改原有SQL逻辑,可以获得敏感信息或更改数据库。
        

- 公告与补丁

        厂商补丁:
        bBlog
        -----
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://www.servers.co.nz/security/patches/SCN200409-1/rss.php-patch.txt

        或下载0.7.4版本:
        
        http://www.servers.co.nz/

- 漏洞信息

10449
bBlog rss.php p Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

bBlog contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the 'p' variable in the 'rss.php' module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

- 时间线

2004-10-01 Unknow
2004-10-01 Unknow

- 解决方案

Upgrade to version 0.7.4 or higher, as it has been reported to fix this vulnerability. It is also possible to correct the flaw by implementing the following workaround(s): Add '$p = array();' to line 13 of the rss.php module if you are familiar with PHP.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站